<ConnectionComponent DisplayName="AWS CLI" Id="PSM-AWS-CLI"
                     Type="CyberArk.PasswordVault.TransparentConnection.PSM.PSMConnectionComponent, CyberArk.PasswordVault.TransparentConnection.PSM">
    <ComponentParameters>
        <Parameter Name="DisableRemoteApp" Value="No"/>
    </ComponentParameters>
    <UserParameters>
        <Parameter Name="AllowMappingLocalDrives"
                   Type="CyberArk.TransparentConnection.BooleanUserParameter, CyberArk.PasswordVault.TransparentConnection"
                   Value="No" Visible="No"/>
        <Parameter DisplayName="Remote Access (no VPN)" Name="AllowSelectHTML5"
                   Type="CyberArk.TransparentConnection.BooleanUserParameter, CyberArk.PasswordVault.TransparentConnection"
                   Value="No" Visible="Yes"/>
    </UserParameters>
    <TargetSettings ClientApp="putty.exe" ClientDispatcher="PSMSSHClient.exe" Protocol="SSH">
        <ClientSpecific>
            <Parameter Name="port" Value="22"/>
            <Multiline-Parameter Name="AutoLogonSequenceWithLogonAccount"
                                 Value="\[.*\@.* ~]\$ &gt;read -p &quot;Key ID:&quot; AWS_ACCESS_KEY_ID
Key ID:&gt;{AWSAccessKeyID}
\[.*\@.* ~]\$ &gt;export AWS_ACCESS_KEY_ID
\[.*\@.* ~]\$ &gt;read -p &quot;Key Secret:&quot; -s AWS_SECRET_ACCESS_KEY
Key Secret:&gt;{Password}
\[.*\@.* ~]\$ &gt;export AWS_SECRET_ACCESS_KEY"/>
            <Parameter Name="ShellPromptForAudit" Value="(.*)[&gt;#\\$]$"/>
            <Parameter Name="TerminateOnShellPromptFailure" Value="No"/>
            <Parameter Name="SendRateValue" Value="10"/>
        </ClientSpecific>
        <Capabilities>
            <Capability Id="SSHTextRecorder"/>
            <Capability Id="SSHKeystrokesAudit"/>
            <Capability Id="LogonAccount"/>
        </Capabilities>
    </TargetSettings>
</ConnectionComponent>